[Search page for MaxScale Documentation](http://mariadb-corporation.github.io/MaxScale/Search/)

# Contents

## About MaxScale

 - [About MaxScale](About/About-MaxScale.md)
 - [Release Notes 1.0.4](About/MaxScale-1.0.4-Release-Notes.md)
 - [Changelog](Changelog.md)
 - [Limitations](About/Limitations.md)
 - [COPYRIGHT](About/COPYRIGHT.md)
 - [LICENSE](About/LICENSE.md)
 - [SETUP](About/SETUP.md)

## Getting Started

 - [Getting Started with MaxScale](Getting-Started/Getting-Started-With-MaxScale.md)
 - [Building MaxScale from Source Code](Getting-Started/Building-MaxScale-from-Source-Code.md)
 - [Configuration Guide](Getting-Started/Configuration-Guide.md)

## Reference

 - [MaxAdmin](Reference/MaxAdmin.md)
 - [MaxScale HA with Corosync-Pacemaker](Reference/MaxScale-HA-with-Corosync-Pacemaker.md)
 - [How Errors are Handled in MaxScale](Reference/How-errors-are-handled-in-MaxScale.md)
 - [Debug and Diagnostic Support](Reference/Debug-And-Diagnostic-Support.md)
 
## Tutorials

 - [Administration Tutorial](Tutorials/Administration-Tutorial.md)
 - [Filter Tutorial](Tutorials/Filter-Tutorial.md)
 - [Galera Cluster Connection Routing Tutorial](Tutorials/Galera-Cluster-Connection-Routing-Tutorial.md)
 - [Galera Cluster Read-Write Splitting Tutorial](Tutorials/Galera-Cluster-Read-Write-Splitting-Tutorial.md)
 - [MaxScale Information Schema Tutorial](Tutorials/MaxScale-Informaton-Schema.md)
 - [MySQL Replication Connection Routing Tutorial](Tutorials/MySQL-Replication-Connection-Routing-Tutorial.md)
 - [MySQL Replication Read-Write Splitting Tutorial](Tutorials/MySQL-Replication-Read-Write-Splitting-Tutorial.md)
 - [MySQL Cluster Setup](Tutorials/MySQL-Cluster-Setup.md)
 - [Replication Proxy with the Binlog Router Tutorial](Tutorials/Replication-Proxy-Binlog-Router-Tutorial.md)
 - [RabbitMQ Setup and MaxScale Integration Tutorial](Tutorials/RabbitMQ-Setup-And-MaxScale-Integration.md)

## Filters

 - [Query Log All](filters/Query-Log-All-Filter.md)
 - [Regex Filter](filters/Regex-Filter.md)
 - [Tee Filter](filters/Tee-Filter.md)
 - [Top N Filter](filters/Top-N-Filter.md)
 - [Firewall Filter](filters/Firewall-Filter.md)
 - [RabbitMQ Filter](filters/RabbitMQ-Filter.md)

## Utilities

 - [RabbitMQ Consumer Client](filters/RabbitMQ-Consumer-Client.md)

## Routers

 - [SchemaRouter Router](routers/schemarouter/SchemaRouter.md)

## Design Documents

 - [Core Objects Design (in development)](http://mariadb-corporation.github.io/MaxScale/Design-Documents/core-objects-html-docs)
 - [Binlog Router Design (in development)](http://mariadb-corporation.github.io/MaxScale/Design-Documents/binlog-router-html-docs)
 - [DCB States (to be replaced in StarUML)](Design-Documents/DCB-States.pdf)

## Earlier Release Notes

 - [MaxScale 0.5 Release Notes](Release-Notes/MaxScale-0.5-Release-Notes.md)
 - [MaxScale 0.6 Release Notes](Release-Notes/MaxScale-0.6-Release-Notes.md)
 - [MaxScale 0.7 Release Notes](Release-Notes/MaxScale-0.7-Release-Notes.md)
 - [MaxScale 1.0 Release Notes](Release-Notes/MaxScale-1.0-Release-Notes.md)
 - [MaxScale 1.0.1 Release Notes](Release-Notes/MaxScale-1.0.1-Release-Notes.md)
 - [MaxScale 1.0.3 Release Notes](Release-Notes/MaxScale-1.0.3-Release-Notes.md)

